PgBeam Docs
Projects

List custom domains

GET
/v1/projects/{project_id}/domains

Lists all custom domains registered for the project.

Authorization

AuthorizationBearer <token>

JWT issued by Better Auth. Verified via JWKS.

In: header

Path Parameters

project_id*string

Unique project identifier (prefixed, e.g. prj_xxx).

Query Parameters

page_size?integer

Maximum number of items to return (1-100, default 20).

page_token?string

Opaque token for cursor-based pagination.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/projects/string/domains"
{  "domains": [    {      "id": "dom_01h455vb4pex5vsknk084sn02q",      "project_id": "prj_01h455vb4pex5vsknk084sn02q",      "domain": "db.example.com",      "verified": true,      "verified_at": "2019-08-24T14:15:22Z",      "tls_cert_expiry": "2019-08-24T14:15:22Z",      "dns_verification_token": "string",      "dns_instructions": {        "cname_host": "db.example.com",        "cname_target": "abc.proxy.pgbeam.app",        "txt_host": "_pgbeam-verify.db.example.com",        "txt_value": "pgbeam-verify=abc123token",        "acme_cname_host": "_acme-challenge.db.example.com",        "acme_cname_target": "_acme-challenge.abc.proxy.pgbeam.app"      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_page_token": "string"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}